#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/share/tests/bin/ADESTDTEST003_check_host_locale_ok.sh $ $LastChangedRevision: 10259 $
PROGNAME=${0##*/}
SANDPIT=$(pwd)
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

#  Nice way to check if locale is ok; perl complains loudly
OUTPUT=$(perl -e '' 2>&1)

#  For the test reference
echo "$OUTPUT"

#  To alert the user, to save them digging in sandpits.
[ "X$OUTPUT" = X ] || {
    echo "Your locale is broken! Please fix it! The following"
    echo "command will produce no output when it is fixed:"
    echo
    echo "perl -e ''"
} >/dev/tty
