#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/tests/bin/ADE202_adegmt_templates_pass_tests.sh $ $LastChangedRevision: 10647 $

mkdir tmp
WORK_DIR=$(pwd)/tmp

for TEMPLATE in lxperl lxpython lxshell; do
    echo "$TEMPLATE: creating ..."
    adegmt $TEMPLATE $WORK_DIR/$TEMPLATE
done
for TEMPLATE in lxperl lxpython lxshell; do
    echo "$TEMPLATE: compiling ..."
    make -s -C $WORK_DIR/$TEMPLATE
done
for TEMPLATE in lxperl lxpython lxshell; do
    echo "$TEMPLATE: testing ..."
    make -s -C $WORK_DIR/$TEMPLATE tests
done

echo "all done"
