#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/tests/bin/ADE700_adech_comments.sh $ $LastChangedRevision: 10259 $
PROGNAME=${0##*/}
SANDPIT=$(pwd)
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

##############################################################################
#                           
#  Purpose of test: to verify behaviour of adech with and without '--comment'
#
##############################################################################

echo "creating an empty ChangeLog ..."
> ChangeLog
echo "bumping ChangeLog without '--comment' ..."
adech --program=dummy-program --bump-bug ChangeLog
echo "examining result ..."
sed -e '1s/([^)]*)/(DATE-BLANKED)/' ChangeLog
echo "creating an empty ChangeLog ..."
> ChangeLog
echo "bumping ChangeLog with '--comment' ..."
adech --program=dummy-program --bump-bug --comment="here is a comment" ChangeLog
echo "examining result ..."
sed -e '1s/([^)]*)/(DATE-BLANKED)/' ChangeLog
