#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/tests/bin/ADE800_adeperlf_adeshf.sh $ $LastChangedRevision: 10647 $

for ACCEPTLEVEL in 0 1 2 3; do
    echo "ACCEPTLEVEL=$ACCEPTLEVEL"
    adeshf   -d $ACCEPTLEVEL "ade_info \$ERRSTACK_REF 'apple'; return \$ADE_OK"
    adeshf   -d $ACCEPTLEVEL "ade_warning \$ERRSTACK_REF ADE_ERR_MISC 'apple'; return \$ADE_OK"
    adeshf   -d $ACCEPTLEVEL "ade_error \$ERRSTACK_REF ADE_ERR_MISC 'apple'; return \$ADE_FAIL"
    adeperlf -d $ACCEPTLEVEL "ADE::info(\$errstack_ref, 'apple'); return(\$ADE::OK);"
    adeperlf -d $ACCEPTLEVEL "ADE::warning(\$errstack_ref, 'ade_err_misc', 'apple'); return(\$ADE::OK);"
    adeperlf -d $ACCEPTLEVEL "ADE::error(\$errstack_ref, 'ade_err_misc', 'apple'); return(\$ADE::FAIL);"
    adepyf   -d $ACCEPTLEVEL "import ade; ade.info(errstack, 'apple'); return ade.ok"
    adepyf   -d $ACCEPTLEVEL "import ade; ade.warning(errstack, 'ade_err_misc', 'apple'); return ade.ok"
    adepyf   -d $ACCEPTLEVEL "import ade; ade.error(errstack, 'ade_err_misc', 'apple'); return ade.fail"
done
echo "all done"
