#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/tests/bin/ADE900_adegmt_tplmods_usable.sh $ $LastChangedRevision: 10259 $
PROGNAME=${0##*/}
SANDPIT=$(pwd)
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

for TEMPLATE in lxperl lxshell; do
    echo "creating root directories ..."
    mkdir usr dev
    echo "creating foo from template $TEMPLATE ..."
    adegmt $TEMPLATE dev/foo
    PREFIX=$(cd usr && pwd)
    echo "tailoring foo-config.sh ..."
    perl -pi -e "s@^(FOO_PREFIX)=@\$1=$PREFIX@" dev/foo/bin/foo-config.sh
    echo "making ..."
    ( cd dev/foo && make -s compile ) 
    echo "testing ..."
    ( cd dev/foo && make -s tests ) 
    echo "installing ..."
    ( cd dev/foo && make -s install )
    echo "scanning ..."
    find usr
    echo "cleaning ..."
    rm -fr usr dev
done
