#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/tests/bin/ADE950_ademan2html_noop.sh $ $LastChangedRevision: 10259 $
PROGNAME=${0##*/}
SANDPIT=$(pwd)
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

#  Ordinary HTML interpreters will ignore multiple blank lines, but Wordpress's
#  does not, it outputs blank lines. Therefore ademan2html needs to be very
#  careful about what blank lines it outputs. One such case is the comment
#  header that ademan2html writes. Here we strip out the comments, but leave
#  any newlines in.
ademan2html < /dev/null | perl -0777 -pi -e 's/<!--.*?-->//gms' 2>/dev/null
