.\" $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/share/include/ade.man $ $LastChangedRevision: 10644 $
.\"
.\" Style taken from groff_tmac(7), implementation taken from groff(7).
.\"
.eo
.de ade_standard_synopsis_component
.   nop [
.   B \-V
.   nop |
.   B \-\-version
.   nop ] 
.   nop [
.   B \-v
.   nop |
.   B \-\-verbose
.   nop |
.   B \-d
.   I level
.   nop |
.   B \-\-debug=\fIlevel\fR
.   nop ]
.   nop [
.   B \-h
.   nop |
.   B \-\-help
.   nop ]
.   nop [
.   B \-p
.   nop |
.   B \-\-paths
.   nop ]
.   nop [
.   B \-n
.   nop |
.   B \-\-simulate
.   nop ]\#
..
.ec
.\"
.eo
.de ade_standard_options_component
.   TP 25
.   B \-d \fIlevel\fR, \fB\-\-debug=\fIlevel\fR
.   nop Determines how verbose this program
.   nop will be. The message types displayed for the different values of 
.   I level
.   nop are as follows: 
.   B 0 
.   nop displays no messages; 
.   B 1 
.   nop displays only errors,
.   B 2 
.   nop displays errors and warnings; 
.   B 3
.   nop displays errors, warnings and informational messages; higher 
.   nop values display errors, warnings, informational messages and various 
.   nop messages intended for debugging. 
.   nop The default is
.   B 2\fR.
.   TP
.   B \-h\fR, \fB\-\-help
.   nop Displays a brief usage message.
.   TP
.   B \-p\fR, \fB\-\-paths
.   nop Lists the compiled-in paths of various files and directories that
.   nop this program uses.
.   B \-n\fR, \fB\-\-simulate
.   nop Some external commands that this program runs may be displayed rather than
.   nop actually executed. 
.   B BEWARE:
.   nop different programs implement different levels of simulation; so 
.   nop this option may work perfectly; on the other hand it may do nothing at all!
.   TP 
.   B \-v\fR, \fB\-\-verbose
.   nop Equivalent to
.   B \-d 3\fR.
.   TP
.   B \-V\fR, \fB\-\-version
.\" A single quote works perfectly well here but it confuses vim highlighting
.\" So I choose to use the equivalent escape.
.   nop Prints the program\(aqs version number and exits.\#
..
.ec
.\"
.eo
.de ade_standard_copyright_component
.   PP
.   nop This program is free software; you can redistribute it and/or modify
.   nop it under the terms of the GNU General Public License as published by
.   nop the Free Software Foundation; either version 2 of the License, or
.   nop (at your option) any later version.
.   PP
.   nop This program is distributed in the hope that it will be useful,
.   nop but WITHOUT ANY WARRANTY; without even the implied warranty of
.   nop MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.   nop GNU General Public License for more details.
.   PP
.   nop You should have received a copy of the GNU General Public License
.   nop along with this program; if not, write to the Free Software
.   nop Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\#
..
.ec
