#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/share/templates/lxshell/tests/bin/check_term.sh $ $LastChangedRevision: 10259 $
PROGNAME=${0##*/}

invert_rc()
{
    local CMD RC
    CMD="$@"

    { sh -c "$CMD" && RC=$?; } || RC=$?
    [ $RC != 0 ]
}


COMMAND=lxshell

#  Say something
echo "xterm (expect no output):"
TERM=xterm $COMMAND hello > /dev/null

echo "rxvt (expect no output):"
TERM=rxvt $COMMAND hello > /dev/null

echo "cygwin (expect no output):"
TERM=cygwin $COMMAND hello > /dev/null

echo "UNSET (expect error):"
( unset TERM; invert_rc "$COMMAND hello" ) > /dev/null

echo "xterm-debian (expect no output):"
TERM=xterm-debian $COMMAND hello > /dev/null

echo "xterm-old (expect warning):"
TERM=xterm-old $COMMAND hello > /dev/null

echo "all done"
