#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/ade/tags/3.0.1/share/tests/bin/ADESTDTEST001_basic_verify_sandpit.sh $ $LastChangedRevision: 10259 $
PROGNAME=${0##*/}
SANDPIT=$(pwd)
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

echo "checking we're in a sandpit ..."
expr $(pwd | xargs basename) : 'adetest\.[0-9][0-9]*\.[A-Za-z0-9_]*\.sandpit$' > /dev/null

echo "checking ADETEST_MODROOT is set ..."
[ "X$ADETEST_MODROOT" != X ]

echo "checking ADETEST_MODROOT refers to a valid directory ..."
[ -d $ADETEST_MODROOT ]
[ -d $ADETEST_MODROOT/tests/in ]
[ -d $ADETEST_MODROOT/tests/bin ]

echo "end of test"
